Subject: RE: PIM draft minutes from Oslo

From: Ravi Shekhar <[email-masked]>
Date: Wed, 28 Jul 1999 15:29:22 -0400

> Ravi, it is funny that you said these, and I am quite sympathetic
> about what you want to happen. I have made attempts/arguments to make
> the spec consistent with some old implementations in such
> 'non-essential places', but didn't insist because I thought the spec
> should not be compromised with existing implementations.
> 
> At this moment, introducing these would present more opportunities to
> have protocol errors, no matter how innocent the new rules
> look. Besides, the PIMv2 spec is "long-lived" in the sense it won't be
> obsoleted long after many old implementations are..

  You are right. And these need more effort to implement too. Probably its
  best left as it is.
  
  I was thinking that as a hack in the implementation, one could possibly
  manipulate the "identification" and (consequently) the "header checksum" 
  field in the inner IP header (the one which has data) of the register 
  message so that the register-message checksum turns out to be same,
whether
  calculated over the whole packet or just over the register header. This
way
  both the old implementations and the new implementations will see the
correct
  checksum.   

  But I suspect this might create some other (operational) problems.
  Is anyone aware of one?
 
  Thanks.
  - Ravi Shekhar.